> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# get an installs inputs

> Returns input values for an install.




## OpenAPI

````yaml get /v1/installs/{install_id}/inputs
openapi: 3.0.3
info:
  contact:
    email: support@nuon.co
    name: Nuon Support
  description: API for managing nuon apps, components, installs, and actions.
  title: Nuon
  version: 0.19.1020
servers:
  - url: https://api.nuon.co/
security: []
tags:
  - description: notebooks
    name: notebooks
  - description: runners
    name: runners
  - description: vcs
    name: vcs
  - description: installs
    name: installs
  - description: actions
    name: actions
  - description: slack
    name: slack
  - description: policy-reports
    name: policy-reports
  - description: orgs
    name: orgs
  - description: accounts
    name: accounts
  - description: actions/runner
    name: actions/runner
  - description: runbooks
    name: runbooks
  - description: general
    name: general
  - description: auth
    name: auth
  - description: queues
    name: queues
  - description: components
    name: components
  - description: apps
    name: apps
  - description: runners/runner
    name: runners/runner
  - description: onboarding
    name: onboarding
paths:
  /v1/installs/{install_id}/inputs:
    get:
      tags:
        - installs
      summary: get an installs inputs
      description: |
        Returns input values for an install.
      operationId: GetInstallInputs
      parameters:
        - description: offset of results to return
          in: query
          name: offset
          schema:
            default: 0
            type: integer
        - description: limit of results to return
          in: query
          name: limit
          schema:
            default: 10
            type: integer
        - description: page number of results to return
          in: query
          name: page
          schema:
            default: 0
            type: integer
        - description: install ID
          in: path
          name: install_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/app.InstallInputs'
                type: array
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Internal Server Error
      security:
        - APIKey: []
        - OrgID: []
components:
  schemas:
    app.InstallInputs:
      properties:
        app_input_config_id:
          type: string
        created_at:
          type: string
        created_by_id:
          type: string
        id:
          type: string
        install_id:
          type: string
        org_id:
          type: string
        redacted_values:
          additionalProperties:
            type: string
          type: object
        updated_at:
          type: string
        values:
          additionalProperties:
            type: string
          type: object
        workflow_id:
          description: >-
            WorkflowID is populated by handlers that create a workflow. Not
            persisted.
          type: string
      type: object
    stderr.ErrResponse:
      properties:
        description:
          type: string
        error:
          type: string
        user_error:
          type: boolean
      type: object
  securitySchemes:
    APIKey:
      description: Type "Bearer" followed by a space and token.
      in: header
      name: Authorization
      type: apiKey
    OrgID:
      description: Nuon org ID
      in: header
      name: X-Nuon-Org-ID
      type: apiKey

````